Package com.macrofocus.order

# Class AbstractOrder<E>

java.lang.Object
com.macrofocus.order.AbstractOrder<E>

All Implemented Interfaces:
  `Order<E>`, `Iterable<E>`

Direct Known Subclasses:
  `DefaultVisibleOrder`

public abstract class AbstractOrder<E> extends Object implements Order<E>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractOrder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addOrderListener(OrderListener<E> listener)`
  Add a listener to the list that's notified each time a change to the order occurs.
  `void`
  `addWeakOrderListener(OrderListener<E> listener)`
  Add a listener to the list that's notified each time a change to the order occurs.
  `protected void`
  `notifyOrderAdded(OrderEvent<E> event)`
  `protected void`
  `notifyOrderChanged(OrderEvent<E> event)`
  `protected void`
  `notifyOrderRemoved(OrderEvent<E> event)`
  `protected void`
  `notifyOrderVisibility(OrderEvent<E> event)`
  `void`
  `removeFilterListeners()`
  `void`
  `removeOrderListener(OrderListener<E> listener)`
  Remove a listener to the list that's notified each time a change to the order occurs.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface com.macrofocus.order.Order

  `get, indexOf, next, previous, size`

- ## Constructor Details

  - ### AbstractOrder

    public AbstractOrder()

- ## Method Details

  - ### addOrderListener

    public void addOrderListener(OrderListener<E> listener)
    Description copied from interface: `Order`
    Add a listener to the list that's notified each time a change to the order occurs.
    Specified by:
      `addOrderListener` in interface `Order<E>`
    Parameters:
      `listener` - the SelectionListener

  - ### addWeakOrderListener

    public void addWeakOrderListener(OrderListener<E> listener)
    Description copied from interface: `Order`
    Add a listener to the list that's notified each time a change to the order occurs. The listener will automatically be disposed of should no other object have a reference to it.
    Specified by:
      `addWeakOrderListener` in interface `Order<E>`
    Parameters:
      `listener` - the SelectionListener

  - ### removeOrderListener

    public void removeOrderListener(OrderListener<E> listener)
    Description copied from interface: `Order`
    Remove a listener to the list that's notified each time a change to the order occurs.
    Specified by:
      `removeOrderListener` in interface `Order<E>`
    Parameters:
      `listener` - the SelectionListener

  - ### removeFilterListeners

    public void removeFilterListeners()

  - ### notifyOrderChanged

    protected void notifyOrderChanged(OrderEvent<E> event)

  - ### notifyOrderVisibility

    protected void notifyOrderVisibility(OrderEvent<E> event)

  - ### notifyOrderAdded

    protected void notifyOrderAdded(OrderEvent<E> event)

  - ### notifyOrderRemoved

    protected void notifyOrderRemoved(OrderEvent<E> event)